Package Details: ravenna-alsa-daemon 1.1-3

Git Clone URL: https://aur.archlinux.org/ravenna-alsa-daemon.git (read-only, click to copy)
Package Base: ravenna-alsa-daemon
Description: A daemon for ALSA RAVENNA/AES67 Driver
Upstream URL: https://github.com/bondagit/ravenna-alsa-lkm
Keywords: audio mastering pro-audio production
Licenses: custom
Submitter: blackhole
Maintainer: blackhole
Last Packager: blackhole
Votes: 2
Popularity: 0.152519
First Submitted: 2019-03-05 11:33
Last Updated: 2021-04-10 08:09

Pinned Comments

blackhole commented on 2019-03-05 12:00

Reference https://bitbucket.org/MergingTechnologies/ravenna-alsa-lkm

You must first load the kernel module:

modprobe MergingRavennaALSA

Start avahi

systemctl start avahi-daemon

and edit /opt/ravenna-alsa/merging_ravenna_daemon.conf

with the name of your network interface

After you can access web interface with

ipaddress:9090

Latest Comments

thurstylark commented on 2021-04-07 17:55

I have easy access to AES67 equipment nearly daily. Let me know if there's anything I can do to help with testing. Definitely interested in getting this package working.

blackhole commented on 2021-01-25 17:09

Tomorrow I will check aes67-linux-daemon. I must update the package. I don't have Merging or other aes67 DAC to test. If you want to test, please contact me at the email address reported in PKGBUILD

jpyle490 commented on 2021-01-25 17:05

The libcurl.so.3 dependency was satisfied previously with the libcurl-compat package, but not now. The upstream says it was testing against Ubuntu 16.04 so it's not entirely surprising things are falling apart here. Looks like aes67-linux-daemon is the way to go!

blackhole commented on 2021-01-25 15:49

If I start it without pre-loading libcurl.so.3 I have this error...

/usr/lib/libcurl.so.4: version `CURL_OPENSSL_3' not found (required by /opt/ravenna-alsa/Merging_RAVENNA_Daemon)

with

LD_PRELOAD=/usr/lib/libcurl.so.3 /opt/ravenna-alsa/Merging_RAVENNA_Daemon

Is starting however (with some errors)

I have posted many comments on Ravenna site, but feedback from Merging is about non-existant... this should be solved upstream

However, I have made a package of an alternative daemon, aes67-linux-daemon

If you are interested to try it

blackhole commented on 2021-01-25 15:28

I will check now.

jpyle490 commented on 2021-01-25 13:52

I'm having trouble with this on current Arch. Even with libcurl-compat installed, it complains:

/opt/ravenna-alsa/Merging_RAVENNA_Daemon: /usr/lib/libcurl.so.3: no version information available (required by /opt/ravenna-alsa/Merging_RAVENNA_Daemon)

where

/usr/lib/libcurl.so.3 -> /usr/lib/libcurl-compat.so.4.7.0

Faking past this gives errors on libssl and libcrypto libraries, ones that as far as I can tell don't exist in Arch anymore. Is still still functional in Arch?

blackhole commented on 2019-03-05 12:00

Reference https://bitbucket.org/MergingTechnologies/ravenna-alsa-lkm

You must first load the kernel module:

modprobe MergingRavennaALSA

Start avahi

systemctl start avahi-daemon

and edit /opt/ravenna-alsa/merging_ravenna_daemon.conf

with the name of your network interface

After you can access web interface with

ipaddress:9090